### Method

# Gcr CertificateRequest complete_finish

#### Declaration [src]

    gboolean
    gcr_certificate_request_complete_finish (
      GcrCertificateRequest* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to complete and sign a certificate request.

#### Parameters

`result` | `GAsyncResult`
| Result of the asynchronous operation.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether certificate request was successfully completed or not.